Bug 241289 - cad/lepton-eda: Update to 1.9.9
Summary: cad/lepton-eda: Update to 1.9.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-15 21:22 UTC by dmn
Modified: 2020-01-01 21:18 UTC (History)
2 users (show)

See Also:


Attachments
New version: Lepton EDA 1.9.9 (55.90 KB, patch)
2019-10-15 21:22 UTC, dmn
no flags Details | Diff
cad/lepton-eda: update to 1.9.9 (72.60 KB, patch)
2019-12-16 05:05 UTC, dmn
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dmn 2019-10-15 21:22:16 UTC
Created attachment 208358 [details]
New version: Lepton EDA 1.9.9
Comment 1 dmn 2019-12-16 05:05:29 UTC
Created attachment 209989 [details]
cad/lepton-eda: update to 1.9.9

cad/lepton-eda: update to 1.9.9 + several upstream patches:
- fix the spice-sdb netlist backend (sub-circuit creation)
- fix log rotation (log directory has changed)
- improve tabbed GUI (reorderable tabs, active tab's context menu)
Comment 2 Tobias C. Berner freebsd_committer 2019-12-16 05:29:21 UTC
"I had to change it to appease portlint(1), which does not ignore comments in makefiles." -- don't do that :), ignore portlint instead.
Comment 3 dmn 2019-12-16 13:51:39 UTC
(In reply to Tobias C. Berner from comment #2)
Thank you for the advice. :-)
I thought patches would not be accepted without portlint's approval.
This time, however, there were no complaints from it.
Comment 4 dmn 2020-01-01 19:15:15 UTC
Happy New Year!
Could this be committed, please?
Thank you.
Comment 5 Tobias C. Berner freebsd_committer 2020-01-01 20:53:11 UTC
Committed, thanks.
Comment 6 commit-hook freebsd_committer 2020-01-01 20:53:25 UTC
A commit references this bug:

Author: tcberner
Date: Wed Jan  1 20:52:57 UTC 2020
New revision: 521770
URL: https://svnweb.freebsd.org/changeset/ports/521770

Log:
  cad/lepton-eda: Update to 1.9.9

  PR:		241289
  Submitted by:	dmn <graahnul.grom@gmail.com> (maintainer)

Changes:
  head/cad/lepton-eda/Makefile
  head/cad/lepton-eda/distinfo
  head/cad/lepton-eda/files/patch-build-tools_icon-theme-installer
  head/cad/lepton-eda/files/patch-cli_Makefile.am
  head/cad/lepton-eda/files/patch-docs_scheme-api_Makefile.am
  head/cad/lepton-eda/files/patch-liblepton_include_liblepton_geda__list.h
  head/cad/lepton-eda/files/patch-liblepton_scheme_geda_log-rotate.scm
  head/cad/lepton-eda/files/patch-liblepton_scheme_geda_os.scm
  head/cad/lepton-eda/files/patch-liblepton_src_Makefile.am
  head/cad/lepton-eda/files/patch-liblepton_src_geda__list.c
  head/cad/lepton-eda/files/patch-liblepton_src_scheme__os.c
  head/cad/lepton-eda/files/patch-m4_geda-guile.m4
  head/cad/lepton-eda/files/patch-netlist_scheme_backend_gnet-spice-sdb.scm
  head/cad/lepton-eda/files/patch-schematic_scheme_gschem_action.scm
  head/cad/lepton-eda/files/patch-schematic_src_Makefile.am
  head/cad/lepton-eda/files/patch-schematic_src_x__tabs.c
  head/cad/lepton-eda/files/patch-utils_gschlas_Makefile.am
  head/cad/lepton-eda/files/patch-version.h
  head/cad/lepton-eda/pkg-plist
Comment 7 dmn 2020-01-01 21:18:10 UTC
Thank you, Tobias!